APP_NAME = Gitea - HatThieves
RUN_MODE = prod
RUN_USER = git

[repository]
ROOT = /data/git/repositories

[repository.local]
LOCAL_COPY_PATH = /data/gitea/tmp/local-repo

[repository.upload]
TEMP_PATH = /data/gitea/uploads

[server]
APP_DATA_PATH    = /data/gitea
SSH_DOMAIN       = localhost
HTTP_PORT        = 3000
ROOT_URL         = http://gitea.hatthieves.es/
DISABLE_SSH      = false
SSH_PORT         = 22
LFS_CONTENT_PATH = /data/git/lfs
DOMAIN           = localhost
LFS_START_SERVER = true
LFS_JWT_SECRET   = 5v4UnSfx2cujaL-ykYv-RW129YlU6DUUrHJRumPiRCI
OFFLINE_MODE     = false

[database]
PATH     = /data/gitea/gitea.db
DB_TYPE  = mysql
HOST     = 172.102.0.102:3306
NAME     = gitea
USER     = gitea
PASSWD   = g1t34
SSL_MODE = disable

[indexer]
ISSUE_INDEXER_PATH = /data/gitea/indexers/issues.bleve

[session]
PROVIDER_CONFIG = /data/gitea/sessions
PROVIDER        = file

[picture]
AVATAR_UPLOAD_PATH      = /data/gitea/avatars
DISABLE_GRAVATAR        = false
ENABLE_FEDERATED_AVATAR = true

[attachment]
PATH = /data/gitea/attachments

[log]
ROOT_PATH = /data/gitea/log
MODE      = file
LEVEL     = Info

[security]
INSTALL_LOCK   = true
SECRET_KEY     = AswpXU4kfDZJW9z1LMefdErDQjpKSS19GgQsc9YQASmCwBWl6JxYocY8Rzibu9Vx
INTERNAL_TOKEN = eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJuYmYiOjE1NDUzNTQxNjF9.nGTHvNOk3MkZ-thKg0RTJ2YuQLwlXcMrCBlu0khBqjM

[service]
DISABLE_REGISTRATION              = true
REQUIRE_SIGNIN_VIEW               = false
REGISTER_EMAIL_CONFIRM            = true
ENABLE_NOTIFY_MAIL                = true
ALLOW_ONLY_EXTERNAL_REGISTRATION  = false
ENABLE_CAPTCHA                    = true
DEFAULT_KEEP_EMAIL_PRIVATE        = true
DEFAULT_ALLOW_CREATE_ORGANIZATION = true
DEFAULT_ENABLE_TIMETRACKING       = true
NO_REPLY_ADDRESS                  = noreply.hatthieves.es

[mailer]
ENABLED            = true
; Buffer length of channel, keep it as it is if you don't know what it is.
SEND_BUFFER_LEN    = 100
; Name displayed in mail title
SUBJECT            = %(APP_NAME)s
; Mail server
; Gmail: smtp.gmail.com:587
; QQ: smtp.qq.com:465
; Note, if the port ends with "465", SMTPS will be used. Using STARTTLS on port 587 is recommended per RFC 6409. If the server supports STARTTLS it will always be used.
HOST               = 172.200.0.101:587
; Disable HELO operation when hostnames are different.
;DISABLE_HELO       = true
; Custom hostname for HELO operation, if no value is provided, one is retrieved from system.
HELO_HOSTNAME      = smtp.hatthieves.es
; Do not verify the certificate of the server. Only use this for self-signed certificates
SKIP_VERIFY        = true
; Use client certificate
USE_CERTIFICATE    = false
CERT_FILE          = custom/mailer/cert.pem
KEY_FILE           = custom/mailer/key.pem
; Should SMTP connection use TLS
IS_TLS_ENABLED     = true
; Mail from address, RFC 5322. This can be just an email address, or the `"Name" <email@example.com>` format
FROM               = noreply@hatthieves.es
; Mailer user name and password
USER               = webmaster@hatthieves.es
; Use PASSWD = `your password` for quoting if you use special characters in the password.
PASSWD             = `w3bm4st3r.`
; Send mails as plain text
SEND_AS_PLAIN_TEXT = false
; Set Mailer Type (either SMTP, sendmail or dummy to just send to the log)
MAILER_TYPE        = smtp
; Specify an alternative sendmail binary
;SENDMAIL_PATH      = sendmail
; Specify any extra sendmail arguments
;SENDMAIL_ARGS      = 

[openid]
ENABLE_OPENID_SIGNIN = false
ENABLE_OPENID_SIGNUP = false

[ui.meta]
AUTHOR      = Gitea - HatThieves
DESCRIPTION = Gitea - HatThieves
KEYWORDS    = go,git,self-hosted,gitea,hatthieves,hatthieves.es,www.hatthieves.es

[oauth2]
JWT_SECRET = Mnx2C529doPzn3D1zUQtIT6r5SI5QhJazU-8p2YJn3Q

[webhook]
; Hook task queue length, increase if webhook shooting starts hanging
QUEUE_LENGTH = 1000
; Deliver timeout in seconds
DELIVER_TIMEOUT = 5
; Allow insecure certification
SKIP_TLS_VERIFY = true
; Number of history information in each page
PAGING_NUM = 10

[api]
; Enables Swagger. True or false; default is true.
ENABLE_SWAGGER = true
; Max number of items in a page
MAX_RESPONSE_ITEMS = 50
; Default paging number of api
DEFAULT_PAGING_NUM = 30
; Default and maximum number of items per page for git trees api
DEFAULT_GIT_TREES_PER_PAGE = 1000

